<script>
  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 5, right: 5, bottom: 25, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Array
  const values = [2, 4, 6, 7, 9];

  // Points and X-axis
  import { scaleLog } from 'd3-scale';
  import { axisBottom } from 'd3-axis';
  import { select } from 'd3-selection';
  const scale = scaleLog()
                  .range([0, innerWidth]);    
  var xAxis = axisBottom(scale);
  function x_axis(handle) {
		return xAxis(select(handle))
	}
</script>

<style>
  circle {
      fill: steelblue;
  }
</style>

<svg viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})">
    {#each values as value} 
      <circle cx={scale(value)} cy={innerHeight / 2} r="10"></circle>
    {/each}
  </g>
  <g transform="translate({margin.left}, {innerHeight})" use:x_axis>
    <text x={innerWidth / 2} y={margin.bottom} fill="currentcolor">x-axis</text>
  </g>
</svg>
